use crate::img_processors::Processors;

#[derive(Serialize, Deserialize, Debug)]
pub struct ProcessorParams {
    pub effect: Processors,
    #[serde(default = "default_strength")]
    pub strength: f32,
    #[serde(default)]
    pub layer: usize,
}

pub fn default_strength() -> f32 {
    1.0
}

impl Default for ProcessorParams {
    fn default() -> Self {
        Self {
            effect: Processors::None,
            strength: 0.0,
            layer: 0,
        }
    }
}