use image::DynamicImage;

use crate::config::image_processors::ProcessorParams;
use crate::img_processors::ImageProcessor;
use crate::result::MBGResult;

pub struct NoneProcessor {
    pub params: ProcessorParams,
    pub screen_height: i32,
    pub screen_width: i32,
}

impl ImageProcessor for NoneProcessor {
    fn process(&self, img: &DynamicImage) -> MBGResult<DynamicImage> {
        debug!("Do nothing with image");
        Ok(img.clone())
    }
}